---
layout: post
title: smooziee.jsの使いどころ
---

例えば、 <code>/test/#link</code> のように、ルート相対パス + ハッシュタグで指定されたリンクでも、同じページへのリンクであればページ遷移せずにスムーススクロールを行うことができます。

これがどんな場面で有効かというと、例えば、WordPressで作成したサイトで、メニューにトップページのid要素へのリンクと、他ページへのリンクが共存している時。メニューは各ページ共通にするとなると、メニューのリンク先はこんな感じになると思います。

<ul>
  <li><code>/#about</code> （トップページのaboutへのリンク）</li>
  <li><code>/#access</code> （トップページのaccessへのリンク）</li>
  <li><code>/contact/</code> （/contact/ ページへのリンク）</li>
</ul>

もしくは絶対パスでこんな感じ

<ul>
  <li><code>http://example.com/#about</code> （トップページのaboutへのリンク）</li>
  <li><code>http://example.com/#access</code> （トップページのaccessへのリンク）</li>
  <li><code>http://example.com/contact/</code> （/contact/ ページへのリンク）</li>
</ul>

この場合、<code>/#about</code> や <code>http://example.com/#access</code> は、同一ページへのリンクなので、スムーススクロールが行われます。

また、例えば <code>/contact/</code> ページから <code>/#about</code> へリンクした際も、ページ遷移後にスムーススクロールが行われます。これは{{ site.title }}の特長のひとつである、別ページスムーススクロールです。（オンオフ可能）。

ちなみに、他ページへのリンク時のスクロールのみをオフにすることもできます。この場合、リンク先URLの変換は行われません。（変換については<a href="{{ '/structure/' | relative_url }}">smooziee.jsの仕組み</a>を参照ください。）また、オフにした場合も、絶対パスで指定されたページ内リンク時のスクロールは行われますので、それだけでも使用メリットはあります。

以上のように、「トップページの場合は#から始まるリンクで、それ以外は…」など、トップページとそれ以外のページで違うメニューを用意することなく、スムーススクロールを実現させることができます。

さらに、アドレスバーに直接ハッシュタグ付きのURLを入力した場合は、スクロールせず、通常の表示となります。

注意点として、例えば <code>http://example.com/</code> と <code>http://example.com/index.html</code> は別ページと判別される仕様です。クエリパラメータが異なる場合も同様に別ページとして扱われます。
